/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Ophthalmic Anatomic Structure Reference Point
 */
public enum EnumCV_OphthalmicAnatomicStructureReferencePoint {

	//Ophthalmic Anatomic Structure Reference Point - CID 4266
	LESION_M_01000("M-01000"),
	FOVEA_CENTRALIS_T_AA621("T-AA621"),
	OPTIC_NERVE_HEAD_T_AA630("T-AA630"),
	DISC_FOVEA_111934("111934"),
	ENTIRE_CORNEA_T_AA215("T-AA215");

	private String value;

	EnumCV_OphthalmicAnatomicStructureReferencePoint(String strvalue)
	{
		this.value = strvalue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}

}
